Subject: Re: [PATCH 0/3] clean: add `config.exclude` and `--remove-excluded`

From: Junio C Hamano <[email-masked]>
Date: Tue, 11 Feb 2025 13:24:00 -0800

Ivan Shapovalov <[email-masked]> writes:

> On 2025-02-11 at 10:37 -0800, Junio C Hamano wrote:
>> Ivan Shapovalov <[email-masked]> writes:
>> 
>> > This series extends the concept of "excluded files" in `git clean` to
>> > make it useful to protect "precious files" that might be present in a
>> > specific developer's working tree (see below).
>> 
>> How does it interact with "git status"?
>
> In the same way as `git clean -e`, i.e., there is no interaction.

That is dissapointing.  I was hoping that "git status -u" would list
precious and ignored ones in two separate sections.

> There were no implications behind my usage of the word "precious".

Then you should ;-)  We'd like to see us use the same language to
refer to the same concept within this same project (and more
importantly, avoid misleading people by calling two different things
with the same phrase).

> This email was part of the `perl contrib/contacts/git-contacts` output
> for this patchset, as documented in Documentation/SubmittingPatches
> and Documentation/MyFirstContribution.txt. Should I have not done that?

No, as I said, I was curious if he is getting involved with the
project back again behind the curtain.

Thanks.